Bug 89781 - Detection of in-line differences does not work at start of line
Summary: Detection of in-line differences does not work at start of line
Status: RESOLVED FIXED
Alias: None
Product: kompare
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kompare developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-18 22:40 UTC by Christian Spitzlay
Modified: 2009-02-19 01:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Spitzlay 2004-09-18 22:40:15 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc-Version 3.3.4 (Debian 1:3.3.4-6sarge1) 
OS:                Linux

Kompare now has this very nice features that it displays not only 
changed lines, but also highlights the changes inside a changed line. 

This works nicely if the change is somewhere in the middle or at the 
end of the line, but not if it is at the start. For example: 

but not if the change is at the start
vs. 
not if the change is at the start

Those two lines are correctly detected as changed but the change is not highlighted.
Comment 1 Otto Bruggeman 2004-10-02 20:17:35 UTC
Havent looked into it, not enough time. Hopefully before 3.3.2.
Comment 2 Jeff Snyder 2005-06-06 21:45:57 UTC
This is gonna be a little spammy... I'm reassigning everything that's currently 
assigned to bruggie (who's been the default assignee for bugs since time began) 
to the new list address. 
 
Bruggie: if you're working on one or more of these atm, please snatch 'em 
back.. 
 
Everyone, esp. Joshua and Bruggie: if this genrates 33 mails, my sincere 
apologies.. 
Comment 3 FiNeX 2009-01-04 15:17:52 UTC
I confirm this issue using the KDE 4 version.
Comment 4 Otto Bruggeman 2009-02-12 22:28:28 UTC
SVN commit 925266 by bruggie:

BUG: 75794 Heuristic added to only show inline differences if the number of differences is less than half the length of the longest line
BUG: 89781 Fixes differences at the beginning of the line. Silly oversight from my sight, both variables x and y do not have to be 0 at the same time when leaving the loop



 M  +53 -17    levenshteintable.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=925266
Comment 5 Kevin Kofler 2009-02-19 01:17:43 UTC
SVN commit 928150 by kkofler:

Mass backport of Kompare bugfixes for KDE 4.2.1 (should not touch any translatable strings): backport revisions 913308, 913309, 922431 (Kompare only), 924527, 924539, 924540, 924880, 924959, 924960, 925266, 926028, 926131, 926143, 926225, 928082 (minus i18n string changes), 928141, 928146 from trunk.
CCBUG: 176804
CCBUG: 169692
CCBUG: 182792
CCBUG: 176797
CCBUG: 175251
CCBUG: 75794
CCBUG: 89781
CCBUG: 145956
CCBUG: 107489
CCBUG: 165421
CCBUG: 174924
CCBUG: 103651
CCBUG: 102800
CCMAIL: bruggie@gmail.com

Bump Kompare version from 3.5.2 to 3.5.3 (trunk is 4.0.0).

Tested on Fedora 9 i386, KDE 4.2.0.

Note: skipped revision 926198 because it introduces a string and #124121 is more a user error than a bug anyway.

 M  +34 -30    kompare_shell.cpp  
 M  +18 -3     komparenavtreepart/komparenavtreepart.cpp  
 M  +15 -12    komparepart/kompare_part.cpp  
 M  +2 -2      komparepart/kompare_part.h  
 M  +9 -6      komparepart/kompareconnectwidget.cpp  
 M  +80 -31    komparepart/komparelistview.cpp  
 M  +26 -5     komparepart/komparelistview.h  
 M  +2 -2      komparepart/kompareprefdlg.cpp  
 M  +4 -1      komparepart/kompareprefdlg.h  
 M  +1 -1      komparepart/komparesplitter.cpp  
 M  +2 -1      libdialogpages/diffpage.cpp  
 M  +4 -3      libdialogpages/diffpage.h  
 M  +14 -4     libdialogpages/filespage.cpp  
 M  +4 -4      libdialogpages/filespage.h  
 M  +10 -8     libdiff2/difference.cpp  
 M  +5 -2      libdiff2/difference.h  
 M  +2 -1      libdiff2/diffhunk.cpp  
 M  +2 -2      libdiff2/diffhunk.h  
 M  +5 -30     libdiff2/diffmodel.cpp  
 M  +3 -6      libdiff2/diffmodel.h  
 M  +1 -1      libdiff2/diffmodellist.cpp  
 M  +4 -2      libdiff2/diffmodellist.h  
 M  +34 -31    libdiff2/komparemodellist.cpp  
 M  +3 -1      libdiff2/komparemodellist.h  
 M  +2 -1      libdiff2/kompareprocess.cpp  
 M  +53 -17    libdiff2/levenshteintable.cpp  
 M  +5 -1      libdiff2/parserbase.cpp  
 M  +21 -26    main.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=928150